Captura um pedido
POST /api/v2/orders/{order_code}/capture
POST
/api/v2/orders/{order_code}/capture
Captura o pagamento no adquirente para pedidos com pagamento por cartão de crédito.
Authorizations
Seção intitulada “Authorizations ”Parameters
Seção intitulada “ Parameters ”Path Parameters
Seção intitulada “Path Parameters ” order_code
required
string
Código identificador (code) ou token do pedido
Responses
Seção intitulada “ Responses ”Captura realizada com sucesso
object
Examples
{ "object": "transaction", "status": "paid", "refuse_reason": null, "status_reason": "acquirer", "acquirer_response_code": "0000", "acquirer_name": "pagarme", "acquirer_id": "5eab10915eab10915eab1091", "authorization_code": "123456", "soft_descriptor": "", "tid": 1234567, "nsu": 1234567, "date_created": "2020-05-14T19:14:50.322Z", "date_updated": "2020-05-15T14:19:34.699Z", "amount": 1400, "authorized_amount": 1400, "paid_amount": 1400, "refunded_amount": 0, "installments": 1, "id": 1234567, "cost": 120, "card_holder_name": "John Doe", "card_last_digits": "6565", "card_first_digits": "470373", "card_brand": "visa", "card_pin_mode": null, "card_magstripe_fallback": false, "cvm_pin": false, "postback_url": "https://demo.vnda.com.br/api/v2/payments/pagarme/notifications", "payment_method": "credit_card", "capture_method": "ecommerce", "antifraud_score": null, "boleto_url": null, "boleto_barcode": null, "boleto_expiration_date": null, "referer": "api_key", "ip": "127.0.0.1", "subscription_id": null, "phone": null, "address": null, "customer": { "object": "customer", "id": 2954669, "external_id": "example@vnda.com.br", "type": "individual", "country": "br", "document_number": null, "document_type": "cpf", "name": "John Doe", "email": "example@vnda.com.br", "phone_numbers": [ "+5511111111111" ], "born_at": null, "birthday": null, "gender": null, "date_created": "2020-05-14T19:14:50.248Z", "documents": [ { "object": "document", "id": "doc_cka75cka75cka75cka75cka75", "type": "cpf", "number": 191 } ] }, "billing": { "object": "billing", "id": 1255695, "name": "John Doe", "address": { "object": "address", "street": "Rua João Neves da Fontoura", "complementary": null, "street_number": "1", "neighborhood": "Azenha", "city": "Porto Alegre", "state": "RS", "zipcode": "90050030", "country": "br", "id": 2808888 } }, "shipping": null, "items": [ { "object": "item", "id": "05.01.4.1.006", "title": "Aceto Balsâmico Di Modena IGP 500ml Aceto Balsamico Di Modena IGP 500ml", "unit_price": 1400, "quantity": 1, "category": null, "tangible": true, "venue": null, "date": null } ], "card": { "object": "card", "id": "card_cka75cka75cka75cka75cka75", "date_created": "2020-05-14T19:14:50.307Z", "date_updated": "2020-05-14T19:14:50.717Z", "brand": "visa", "holder_name": "f dc", "first_digits": "470373", "last_digits": "6565", "country": "RUSSIA", "fingerprint": "cka75cka75cka75cka75cka75", "valid": true, "expiration_date": "0423" }, "split_rules": null, "metadata": { "order": "7A4F490570", "seller-1": { "name": "default", "package": "7A4F490570-01" } }, "antifraud_metadata": {}, "reference_key": null, "device": null, "local_transaction_id": null, "local_time": null, "fraud_covered": false, "fraud_reimbursed": null, "order_id": null, "risk_level": "very_low", "receipt_url": null, "payment": null, "addition": null, "discount": null, "private_label": null}Pedido não encontrado
404
Domínio de loja não encontrado
object
error
required
string
Captura não efetuada junto ao adquirente
object
error
string
Examples
{ "error": "Capture was unsuccessful"}